Skip to main content
GET
/
v1
/
insights
Get insights
curl --request GET \
  --url https://app.nex.ai/api/developers/v1/insights \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "workspace_id": "<string>",
      "content": "<string>",
      "type": "<string>",
      "entities": [
        {
          "id": "<string>",
          "name": "<string>",
          "type": "<string>"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}
This endpoint requires the insight.stream scope on your API key.

Query Modes

Last N minutes/hours

Use the last parameter with a duration string:
# Insights from the last 30 minutes
curl -s "https://app.nex.ai/api/developers/v1/insights?last=30m" \
  -H "Authorization: Bearer YOUR_API_KEY"

# Insights from the last 2 hours
curl -s "https://app.nex.ai/api/developers/v1/insights?last=2h" \
  -H "Authorization: Bearer YOUR_API_KEY"

Between two dates

Use from and to parameters with RFC3339 UTC timestamps:
curl -s "https://app.nex.ai/api/developers/v1/insights?from=2026-02-07T00:00:00Z&to=2026-02-08T00:00:00Z" \
  -H "Authorization: Bearer YOUR_API_KEY"

Most recent (default)

With no time parameters, returns the most recent insights:
curl -s "https://app.nex.ai/api/developers/v1/insights?limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"

Authorizations

Authorization
string
header
required

API key for authentication (format: "Bearer YOUR_API_KEY")

Query Parameters

last
string

Rolling time window (e.g., '30m', '2h', '1d')

from
string<date-time>

Start of date range (RFC3339 UTC timestamp)

to
string<date-time>

End of date range (RFC3339 UTC timestamp)

limit
integer
default:20

Maximum number of insights to return

Response

List of insights

data
object[]

Array of insight objects

Last modified on March 7, 2026